package cn.hnthyy.thmz.service.impl.his.yf;

import cn.hnthyy.thmz.mapper.his.yf.YfInventoryListMapper;
import cn.hnthyy.thmz.pageDto.PageBean;
import cn.hnthyy.thmz.service.his.yf.YfInventoryListService;
import cn.hnthyy.thmz.vo.YpZdBaseYfVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description:
 * @author: WANGJIALIANG
 * @time: 2021/8/20 10:03
 */
@Service
public class YfInventoryListServiceImpl implements YfInventoryListService {

    @Autowired
    private YfInventoryListMapper yfInventoryListMapper;

    @Override
    public List<YpZdBaseYfVo> queryYpZdBaseYfPage(String groupNo, String classCode, String searchText, PageBean pageBean) {
        return yfInventoryListMapper.selectYpZdBaseYfPage(groupNo, classCode, searchText, pageBean);
    }

    @Override
    public int countYpZdBaseYf(String groupNo, String classCode, String searchText) {
        return yfInventoryListMapper.countYpZdBaseYf(groupNo, classCode, searchText);
    }

    @Override
    public List<YpZdBaseYfVo> queryYpZdBaseYfMultiplePage(String classCode, String searchText, PageBean pageBean) {
        return yfInventoryListMapper.selectYpZdBaseYfMultiplePage(classCode,searchText,pageBean);
    }

    @Override
    public int countYpZdBaseYfMultiple(String classCode, String searchText) {
        return yfInventoryListMapper.countYpZdBaseYfMultiple(classCode, searchText);
    }
}
